/*
Read a bunch of ints from a big-endian output file.

Orion Sky Lawlor, olawlor@acm.org, 2006/03/24 (Public Domain)
*/
#include <iostream>
#include <fstream>

int main() {
	int i,nInts=1000000;
	// Prepare array
	int *arr=new int[nInts];
	for (i=0;i<nInts;i++) arr[i]=1+i;
	
	// Read array from file
	std::ifstream s("out_bin_be.dat");
	if (!s) {std::cout<<"Can't open input file!\n";return 1;}
	
	for (i=0;i<nInts;i++) {
		unsigned char c[4];
		s.read((char *)c,4);
		arr[i]=(c[0]<<24)+(c[1]<<16)+(c[2]<<8)+(c[3]<<0);
	}
	
	delete[] arr;
	return 0;
}
